/**
 * @ignore
 * BEGIN HEADER
 *
 * Contains:        Preferences Group enum
 * CVM-Role:        Model
 * Maintainer:      Hendrik Erz
 * License:         GNU GPL v3
 *
 * Description:     Exports the preferences groups enum that we can access in
 *                  the preferences.
 *
 * END HEADER
 */

/**
 * Available preference groups that are accessible from the main preferences.
 */
export enum PreferencesGroups {
  Advanced,
  Appearance,
  Autocorrect,
  Citations,
  Editor,
  FileManager,
  General,
  ImportExport,
  Snippets,
  Spellchecking,
  Zettelkasten
}
